#include "ExampleMachine.H"

#include <windows.h>
#include <GL/gl.h>
#include <GL/glu.h>

#include "Utilities/3DUtils.H"

ExampleMachine::ExampleMachine(const char* _name,
							   const float _x,
							   const float _y,
							   const float _s)
							   : Machine(_name,4)
{
	parameters[0] = _x;
	parameters[1] = _y;

	paramNames[3] = "size";
	paramRange[3] = std::pair<float,float>(1,20);
	parameters[3] = _s;
}

void ExampleMachine::draw()
{
	glColor3d(1,1,0);
	drawCube(parameters[0], parameters[3]/2, parameters[1], parameters[3]);
}

void ExampleMachine::lookAtMe(float aspect)
{
  glMatrixMode(GL_PROJECTION);
  glLoadIdentity();
  gluPerspective(40, aspect, .1, 1000);

  // Put the camera where we want it to be
  glMatrixMode(GL_MODELVIEW);
  glLoadIdentity();

  // note: since this object doesn't rotate, we can just sight down the Z axis at it
  // a real object will probably do something more interesting
  //   note: we have the camera move back as the object gets bigger
  glTranslatef(-parameters[0],-parameters[3]-2,-parameters[1]-25-2*parameters[3]);
}

// CVS Header - if you don't know what this is, don't worry about it
// $Header: /p/course/cs559-gleicher/private/CVS/ConstructionSite/ConstructionSite/ExampleMachine.cpp,v 1.3 2008/09/29 18:57:39 gleicher Exp $
