#pragma once
#pragma once
// SiteDisplay.H
//
// Header file that describes the view onto the construction site
//
// Note that there are two windows:
// The "outer" window that contains the widgets for control (including the inner window)
// The "inner" window that is the GL context into which the world is drawn
//
// ConstructionSiteWindow is the outer window
// we have a "forward" reference here:
class ConstructionSiteWindow;

// since this is an FLTk Window, we need to include FlTk Headers
// the pragmas turn off the warnings from FlTk - our code should have no warnings,
// but their code doesn't meet that standard
#pragma warning(push)
#pragma warning(disable:4312)
#pragma warning(disable:4311)
#include <Fl/Fl_Gl_Window.h>
#pragma warning(pop)

// this uses the old ArcBall Code
#include "Utilities/ArcBallCam.H"

// note that this mainly takes care of the drawing and other window
// stuff
class SiteDisplay : public Fl_Gl_Window
{
public:
	SiteDisplay(int x, int y, int w, int h, const char* l = 0);

	// overrides of important window things
	virtual int handle(int);
	virtual void draw();

	// keep an ArcBall for the UI
	ArcBallCam arcball;
	void resetArcball();

	// easy access to parent
	ConstructionSiteWindow* csw;
};

// CVS Header - if you don't know what this is, don't worry about it
// $Header: /u/c/s/cs559-1/private/CVS/ConstructionSite/ConstructionSite/SiteDisplay.H,v 1.4 2008/10/08 16:25:33 gleicher Exp $
